enableFeaturePreview("VERSION_CATALOGS")

dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)

    repositories {
        // mux plugin location
        maven {
            url "https://muxinc.jfrog.io/artifactory/default-maven-release-local"
            content { includeGroup "com.mux" }
        }
        // youbora plugin
        maven {
            url 'https://npaw.jfrog.io/artifactory/youbora'
            content { includeGroup "com.nicepeopleatwork" }
        }
        // we use some libs from jitpack for some demos
        maven {
            url "https://www.jitpack.io"
            content {
                includeGroup "com.github.PhilJay"
                includeGroup "com.github.Raizlabs.DBFlow"
                includeGroup "com.github.agrosner"
            }
        }
        maven {
            url "../repository"
        }
        mavenCentral()
        google()

    }

    versionCatalogs {
        castlabs {
            alias('adobe').to('com.castlabs.player:adobe-plugin:4.2.64')
            alias('amlogic').to('com.castlabs.player:amlogic-plugin:4.2.64')
            alias('broadpeak').to('com.castlabs.player:broadpeak-plugin:4.2.64')
            alias('cast').to('com.castlabs.player:googlecast-plugin:4.2.64')
            alias('channels').to('com.castlabs.player:channels-plugin:4.2.64')
            alias('commonconfig').to('com.castlabs.player:common-config-plugin:4.2.64')
            alias('conviva').to('com.castlabs.player:conviva-plugin:4.2.64')
            alias('core').to('com.castlabs.player:castlabs-sdk:4.2.64')
            alias('crashlytics').to('com.castlabs.player:crashlytics-connector:4.2.64')
            alias('debug').to('com.castlabs.player:debug-plugin:4.2.64')
            alias('demoapputils').to('com.castlabs.player:demo-app-utils:4.2.64')
            alias('devicetime').to('com.castlabs.player:drm-device-time-checker-plugin:4.2.64')
            alias('downloader').to('com.castlabs.player:downloader-plugin:4.2.64')
            alias('ima').to('com.castlabs.player:ima-plugin:4.2.64')
            alias('mediasession').to('com.castlabs.player:mediasession-plugin:4.2.64')
            alias('mux').to('com.castlabs.player:mux-plugin:4.2.64')
            alias('nielsen').to('com.castlabs.player:nielsen-plugin:4.2.64')
            alias('okhttp').to('com.castlabs.player:okhttp-plugin:4.2.64')
            alias('oma').to('com.castlabs.player:oma-plugin:4.2.64')
            alias('playerui').to('com.castlabs.player:player-ui-plugin:4.2.64')
            alias('sdkextensions').to('com.castlabs.player:castlabs-sdk-extensions:4.2.64')
            alias('subtitles').to('com.castlabs.player:subtitles-plugin:4.2.64')
            alias('subtitlesfonts').to('com.castlabs.player:subtitles-fonts:4.2.64')
            alias('threesixty').to('com.castlabs.player:360-plugin:4.2.64')
            alias('thumbnails').to('com.castlabs.player:thumbs-plugin:4.2.64')
            alias('vimond').to('com.castlabs.player:vimond-plugin:4.2.64')
            alias('youbora').to('com.castlabs.player:youbora-plugin:4.2.64')

        }

        demos {
            alias('androidx.appcompat').to('androidx.appcompat:appcompat:1.1.0')
            alias('androidx.cardview').to('androidx.cardview:cardview:1.0.0')
            alias('androidx.constraintlayout').to('androidx.constraintlayout:constraintlayout:1.1.3')
            alias('androidx.legacy').to('androidx.legacy:legacy-support-v4:1.0.0')
            alias('androidx.lifecycle.extensions').to('androidx.lifecycle:lifecycle-extensions:2.2.0')
            alias('androidx.mediarouter').to('androidx.mediarouter:mediarouter:1.0.0')
            alias('androidx.preference.ktx').to('androidx.preference:preference-ktx:1.1.1')
            alias('google.material').to('com.google.android.material:material:1.1.0-alpha09')
            alias('kotlin.runtime').to('org.jetbrains.kotlin:kotlin-stdlib-jdk7:1.6.10')
            alias('retrofit.core').to('com.squareup.retrofit2:retrofit:2.9.0')
            alias('retrofit.gson').to('com.squareup.retrofit2:converter-gson:2.9.0')
            alias('retrofit.scalars').to('com.squareup.retrofit2:converter-scalars:2.9.0')

        }

        exo {
            alias('core').to('com.google.android.exoplayer:library-core:4.2.64-cl')
            alias('dash').to('com.google.android.exoplayer:library-dash:4.2.64-cl')
            alias('extension.ima').to('com.google.android.exoplayer:extension-ima:4.2.64-cl')
            alias('hls').to('com.google.android.exoplayer:library-hls:4.2.64-cl')
            alias('iptv').to('com.google.android.exoplayer:library-iptv:4.2.64-cl')
            alias('smoothstreaming').to('com.google.android.exoplayer:library-smoothstreaming:4.2.64-cl')
            alias('ui').to('com.google.android.exoplayer:library-ui:4.2.64-cl')

        }

    }
}


include 'adobe_demo'
include 'broadpeak_demo'
include 'mux_demo'
include 'cast_demo'
include 'conviva_demo'
include 'downloads'
include 'live_switching'
include 'mediasession_demo'
include 'demos'
include 'youbora_demo'
include 'subtitle_styles'
include 'analytics_demo'

